# xfconf – Edit XFCE4 Configurations

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module allows for the manipulation of Xfce 4 Configuration via xfconf-query. Please see the xfconf-query(1) man pages for more details.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
channel - / required |  | A Xfconf preference channel is a top-level tree key, inside of the Xfconf repository that corresponds to the location for which all application properties/keys are stored. See man xfconf-query(1)
property - / required |  | A Xfce preference key is an element in the Xfconf repository that corresponds to an application preference. See man xfconf-query(1)

state
-

Choices:
- get
- present ←
- absent

The action to take upon the property/value.

value - |  | Preference properties typically have simple values such as strings, integers, or lists of strings and integers. This is ignored if the state is "get". See man xfconf-query(1)

value_type
-

Choices:
- int
- bool
- float
- string

The type of value being set. This is ignored if the state is "get".

## Examples

    - name: Change the DPI to "192"
      xfconf:
        channel: "xsettings"
        property: "/Xft/DPI"
        value_type: "int"
        value: "192"
      become: True
      become_user: johnsmith

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
channel string | success | The channel specified in the module parameters Sample: xsettings
property string | success | The property specified in the module parameters Sample: /Xft/DPI
value string | success | The value of the preference key after executing the module Sample: 192
value_type string | success | The type of the value that was changed Sample: int

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Joseph Benden (@jbenden)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.